Subject: bug#20880: 25.0.50; etags fails to work

From: jpff <[email-masked]>
Date: Tue, 23 Jun 2015 16:32:48 +0100 (BST)

Yes I have done make bootstrap since thus started happening, but can do it 
again
.....
done that and still see error

Arhh!! My fault.  Just seen an ancient version of xref.el lurking.  Seems 
OK now.  Many apologies -- failinf eyesight
==John ff

> Hi!
>
> On 06/23/2015 03:18 PM, jpff wrote:
>> I used to use etags and M-. to navigate my 0.5m lines of code but for
>> a while now it just does not work
>> Debugger entered--Lisp error: (error "Autoloading failed to define function 
>> xref-find-definitions")
>>    autoload-do-load((autoload "xref" 1654971 t nil) xref-find-definitions)
>>    command-execute(xref-find-definitions)
>> 
>> I can load xref.elc by hand, but that makes no difference.
>> 
>> Running on todays sources.
>
> Have you tried 'make bootstrap'?
>